*** a/src/backend/storage/lmgr/predicate.c
--- b/src/backend/storage/lmgr/predicate.c
***************
*** 3907,3912 **** CheckForSerializableConflictOut(bool visible, Relation relation,
--- 3907,3914 ----
  			break;
  		case HEAPTUPLE_DELETE_IN_PROGRESS:
  			xid = HeapTupleHeaderGetUpdateXid(tuple->t_data);
+ 			if (!TransactionIdIsValid(xid))
+ 				return;
  			break;
  		case HEAPTUPLE_INSERT_IN_PROGRESS:
  			xid = HeapTupleHeaderGetXmin(tuple->t_data);
